Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005117 [ardour] bugs trivial always 2012-10-08 08:07 2012-12-23 07:57
Reporter teeman View Status public  
Assigned To paul
Priority normal Resolution fixed  
Status resolved   Product Version 3.0 beta5
Summary 0005117: solo and mute feedback values for nanoKONTROL2 not working
Description I'm trying to get the leds working in sync with ardour with enabling feedback in ardour.
I'm using the supplied midi map for the korg nanKONTROL2 (7 channels with master)


The solo / mute buttons only turn on with midi values > 63 (0x3f) , but in the feedback it always return 63 (0x3f)
Additional Information First setup (with nankontrol editor)
-mute and solo buttons as toggles
-off value 0, on value 127
-leds external

Expected result
-When i press the button on the controller it sends the on value to ardour, ardour returns the on value (127) so the led goes on.

What happens
-ardour mutes, but sends 63 as feedback on value. nanokontrol2 needs 127 for that



Second setup (with nankontrol editor)
-mute and solo buttons as toggles
-off value 0, on value 63, leds external

Expected result
-When i press the button on the controller sends the on value to ardour, ardour returns (63) so the led goes on.

What happens
-ardour does not mutes (probably needs > 63 for on) but sends 63 as feedback on value. nanonkontrol2 needs 127 for that



Tags No tags attached.
Attached Files

Sponsor -  Users sponsoring this issue
Sponsors List Total Sponsorship = US$ 10

2012-10-08 08:08: teeman (US$ 5)
2012-12-17 12:48: sliwowitz (US$ 5)

- Relationships

-  Notes
(0014365)
paul (administrator)
2012-12-18 17:29

should be fixed as of rev 13680. let me know, please (including "let me know if you can't or don't build from SVN).
(0014381)
teeman (reporter)
2012-12-21 04:21

Great work, thanks

To answer yourr question, i mainly work on mac, and tried once to set up a build environment but i failed (lack of time mainly to sort out all the details of getting all the dependencies to compile), so i guess i'll have to wait for the next beta release.

btw to pay, i just use the regular donate on the site?
(0014382)
paul (administrator)
2012-12-21 06:12

payment: yep, just use the donate button (if there is a memo field, feel free to add this bug number (#5117).

within svn, in the 2.0-ongoing branch, under tools/ there are two scripts (build-gtk-stack and build-ardour-stack) that download and build the entire dependency stack for ardour3. it is what i use to setup a build environment on my macs and linux systems (and VMs).
(0014383)
paul (administrator)
2012-12-21 06:12

see notes.
(0014385)
sliwowitz (reporter)
2012-12-23 07:57

Thanks for the fix, it seems to work fine. I sent you the money through paypal donation.

I still have a similar problem - the controller has a third "record" button for each track, from the nanoKontrol point of view, it works the same way as mute and solo buttons, but there is no feedback from Ardour.

If I chanage the record button state in Ardour, correct MIDI signal is sent out, and the LEDs on nanoKontrol change state accordingly.

If I press the button on nanoKontrol, the state of Ardour record button changes correctly, but no feedback is sent back from Ardour to nanoKontrol.

Should I open another bug for this issue?

- Issue History
Date Modified Username Field Change
2012-10-08 08:07 teeman New Issue
2012-10-08 08:08 teeman Sponsorship Added teeman: US$ 5
2012-10-08 08:08 teeman Sponsorship Total 0 => 5
2012-10-08 08:08 teeman Issue Monitored: teeman
2012-12-17 12:48 sliwowitz Sponsorship Added sliwowitz: US$ 5
2012-12-17 12:48 sliwowitz Sponsorship Total 5 => 10
2012-12-17 12:48 sliwowitz Issue Monitored: sliwowitz
2012-12-18 17:29 paul Note Added: 0014365
2012-12-18 17:29 paul Status new => feedback
2012-12-21 04:21 teeman Note Added: 0014381
2012-12-21 06:12 paul Note Added: 0014382
2012-12-21 06:12 paul cost => 0.00
2012-12-21 06:12 paul Note Added: 0014383
2012-12-21 06:12 paul Status feedback => resolved
2012-12-21 06:12 paul Resolution open => fixed
2012-12-21 06:12 paul Assigned To => paul
2012-12-23 07:57 sliwowitz Note Added: 0014385


Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker